<h1 mat-dialog-title>Adicionar Plano de Treino</h1>
<form [formGroup]="planForm" (submit)="onSubmit($event)">
    <mat-dialog-content>
        <mat-form-field>
            <mat-label>Descrição</mat-label>
            <textarea
                matInput
                formControlName="description"
                name="description"
            ></textarea>

            <mat-icon matPrefix>format_align_left</mat-icon>
        </mat-form-field>
    </mat-dialog-content>

    <mat-dialog-actions>
        <button
            mat-button
            color="primary"
            type="submit"
            [disabled]="!planForm.valid"
        >
            <mat-icon>add</mat-icon>
            Adicionar
        </button>
        <button mat-button color="accent" type="button" (click)="onClose()">
            <mat-icon>cancel</mat-icon>
            Cancelar
        </button>
    </mat-dialog-actions>
</form>
